Package org.apache.juneau.console
Class ConsoleChromeMixin.Builder
java.lang.Object
org.apache.juneau.console.ConsoleChromeMixin.Builder
- Enclosing class:
- ConsoleChromeMixin
Builder for
ConsoleChromeMixin.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()Builds the mixin.cacheAssets(boolean value) Whether to cache the assembled response body after the first request (defaulttrue ).Selects one of the shipped stock palettes by name (the same names FTL<@theme name="…">accepts).
-
Constructor Details
-
Builder
public Builder()
-
-
Method Details
-
cacheAssets
Whether to cache the assembled response body after the first request (defaulttrue ).- Parameters:
value- The new value.- Returns:
- This object.
-
theme
Selects one of the shipped stock palettes by name (the same names FTL<@theme name="…">accepts).A custom palette is authored in FTL with
<@theme>/<@token>.- Parameters:
stockName- One of theConsoleChromeMixin.BUILTIN_THEME_NAMES(open,light-red,light-brown,red,gray).- Returns:
- This object.
- Throws:
IllegalArgumentException- IfstockNameis not a built-in stock-theme name.
-
build
Builds the mixin.- Returns:
- A new
ConsoleChromeMixin.
-